### Hierarchy

- IIdentity
  - ISigner

### Implemented by

- SignerEd25519

## Index

### Methods

- sign
- toBytes
- toString
- verify

## Methods

### sign

- sign(msg: Buffer): Buffer

- - Defined in src/darc/signer.ts:12

  Signs the sha256 hash of the message. It must return an array of bytes that can be verified by the corresponding identity-implementation.

  #### Parameters

  - ##### msg: Buffer

    the message to sign

  #### Returns Buffer

  the signature

### toBytes

- toBytes(): Buffer

- Inherited from IIdentity.toBytes

  - Defined in src/darc/identity-wrapper.ts:125

  Get the byte array representation of the public key of the identity

  #### Returns Buffer

  the public key as buffer

### toString

- toString(): string

- Inherited from IIdentity.toString

  - Defined in src/darc/identity-wrapper.ts:131

  Get the string representation of the identity

  #### Returns string

  a string representation

### verify

- verify(msg: Buffer, signature: Buffer): boolean

- Inherited from IIdentity.verify

  - Defined in src/darc/identity-wrapper.ts:119

  Returns true if the verification of signature on the sha-256 of msg is successful or false if not.

  #### Parameters

  - ##### msg: Buffer

    the message to verify

  - ##### signature: Buffer

    the signature to verify

  #### Returns boolean

  true when the signature matches the message, false otherwise

Generated using TypeDoc